<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
      http://maven.apache.org/maven-v4_0_0.xsd">

  <modelVersion>4.0.0</modelVersion>
  <name>United Front 2</name>
  <groupId>org.unitedfront2</groupId>
  <artifactId>unitedfront2</artifactId>
  <packaging>war</packaging>
  <version>SNAPSHOT</version>
  <description>United Front 2 is Massively Multiplayer Online Role-Playing Game.</description>
  <url>http://www.unitedfront2.org/</url>
  <issueManagement>
    <system>SourceForge.jp Tracking System</system>
    <url>http://sourceforge.jp/projects/unitedfront2/ticket/</url>
  </issueManagement>
  <organization>
    <name>www.unitedfront2.org</name>
    <url>http://www.unitedfront2.org/</url>
  </organization>
  <inceptionYear>2007</inceptionYear>
  <developers>
    <developer>
      <id>kurokkie</id>
      <name>Toshiharu Kuroki</name>
      <email>kurokkie@users.sourceforge.jp</email>
    </developer>
  </developers>
  <licenses>
    <license>
      <url>http://www.gnu.org/licenses/agpl.txt</url>
      <name>GNU AFFERO GENERAL PUBLIC LICENSE</name>
    </license>
  </licenses>
  <scm>
    <url>http://svn.sourceforge.jp/cgi-bin/viewcvs.cgi/?root=unitedfront2</url>
  </scm>
  <ciManagement>
    <system>Daily Maven Site</system>
    <url>http://site.unitedfront2.org/snapshot/</url>
  </ciManagement>
  <properties>
    <maven.compiler.encoding>Shift_JIS</maven.compiler.encoding>
    <maven.findbugs.enable>true</maven.findbugs.enable>
    <project.build.sourceEncoding>Shift_JIS</project.build.sourceEncoding>
  </properties>

  <repositories>
    <repository>
      <id>Apache Maven2 Repository</id>
      <url>http://mirrors.ibiblio.org/pub/mirrors/maven2/</url>
    </repository>
    <repository>
      <id>ibiblio Maven2 Repository</id>
      <url>http://mirrors.ibiblio.org/pub/mirrors/maven2/</url>
    </repository>
    <repository>
      <id>Codehaus Snapshots Maven2 Repository</id>
      <url>http://snapshots.maven.codehaus.org/maven2/</url>
      <snapshots>
        <enabled>true</enabled>
      </snapshots>
      <releases>
        <enabled>false</enabled>
      </releases>
    </repository>
    <repository>
      <id>com.springsource.repository.bundles.release</id>
      <name>SpringSource Enterprise Bundle Repository - SpringSource Releases</name>
      <url>http://repository.springsource.com/maven/bundles/release</url>
    </repository>
    <repository>
      <id>com.springsource.repository.bundles.external</id>
      <name>SpringSource Enterprise Bundle Repository - External Releases</name>
      <url>http://repository.springsource.com/maven/bundles/external</url>
    </repository>
  </repositories>

  <pluginRepositories>
    <pluginRepository>
      <id>Codehaus Snapshots Repository</id>
      <url>http://snapshots.repository.codehaus.org/</url>
    </pluginRepository>
  </pluginRepositories>

  <build>
    <finalName>${artifactId}</finalName>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-antrun-plugin</artifactId>
        <executions>
          <execution>
            <id>install-dojo</id>
            <phase>validate</phase>
            <goals>
              <goal>run</goal>
            </goals>
            <configuration>
              <tasks>
                <ant antfile="build-dojo.xml" target="install">
                  <property name="user.home" value="${user.home}"/>
                </ant>
              </tasks>
            </configuration>
          </execution>
          <execution>
            <id>compile-dojo</id>
            <phase>compile</phase>
            <goals>
              <goal>run</goal>
            </goals>
            <configuration>
              <tasks>
                <ant antfile="build-dojo.xml" target="compile">
                  <property name="user.home" value="${user.home}"/>
                </ant>
              </tasks>
            </configuration>
          </execution>
          <execution>
            <id>compile-syntaxhighlighter</id>
            <phase>pre-site</phase>
            <goals>
              <goal>run</goal>
            </goals>
            <configuration>
              <tasks>
                <ant antfile="build-syntaxhighlighter.xml" target="compile">
                  <property name="user.home" value="${user.home}"/>
                </ant>
              </tasks>
            </configuration>
          </execution>
          <execution>
            <id>prepare-test-db</id>
            <phase>process-test-resources</phase>
            <goals>
              <goal>run</goal>
            </goals>
            <configuration>
              <tasks>
                <ant antfile="build-sql.xml" target="restore-test-db">
                  <property name="user.home" value="${user.home}"/>
                </ant>
              </tasks>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-assembly-plugin</artifactId>
        <configuration>
          <descriptor>src/main/assembly/executable.xml</descriptor>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>1.6</source>
          <target>1.6</target>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-site-plugin</artifactId>
        <configuration>
          <inputEncoding>UTF-8</inputEncoding>
          <outputEncoding>UTF-8</outputEncoding>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>2.3</version>
        <configuration>
          <includes>
            <include>**/*Test.java</include>
          </includes>
        </configuration>
      </plugin>
    </plugins>
    <defaultGoal>install</defaultGoal>
  </build>

  <dependencies>
    <dependency>
      <groupId>com.octo.captcha</groupId>
      <artifactId>jcaptcha-all</artifactId>
      <version>1.0-RC6</version>
    </dependency>
    <dependency>
      <groupId>commons-beanutils</groupId>
      <artifactId>commons-beanutils</artifactId>
      <version>1.7.0</version>
    </dependency>
    <dependency>
      <groupId>commons-dbcp</groupId>
      <artifactId>commons-dbcp</artifactId>
      <version>1.2.2</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>commons-digester</groupId>
      <artifactId>commons-digester</artifactId>
      <version>1.8</version>
    </dependency>
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
      <version>1.4</version>
    </dependency>
    <dependency>
      <groupId>commons-jexl</groupId>
      <artifactId>commons-jexl</artifactId>
      <version>1.1</version>
    </dependency>
    <dependency>
      <groupId>commons-lang</groupId>
      <artifactId>commons-lang</artifactId>
      <version>2.4</version>
    </dependency>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.1.1</version>
    </dependency>
    <dependency>
      <groupId>commons-validator</groupId>
      <artifactId>commons-validator</artifactId>
      <version>1.3.1</version>
    </dependency>
    <dependency>
      <!-- used by springframework -->
      <groupId>javax.activation</groupId>
      <artifactId>activation</artifactId>
      <version>1.1</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <!-- used by springframework -->
      <groupId>javax.mail</groupId>
      <artifactId>mail</artifactId>
      <version>1.4</version>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>jstl</artifactId>
      <version>1.2</version>
    </dependency>
    <dependency>
      <!-- provided by Tomcat -->
      <groupId>javax.servlet</groupId>
      <artifactId>servlet-api</artifactId>
      <version>2.5</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <!-- provided by Tomcat -->
      <groupId>javax.servlet.jsp</groupId>
      <artifactId>jsp-api</artifactId>
      <version>2.1</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.4</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>log4j</groupId>
      <artifactId>log4j</artifactId>
      <version>1.2.15</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
      <version>5.1.6</version>
      <scope>runtime,test</scope>
    </dependency>
    <dependency>
      <!-- depended by spring web flow -->
      <groupId>ognl</groupId>
      <artifactId>ognl</artifactId>
      <version>2.7.3</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.tiles</groupId>
      <artifactId>tiles-api</artifactId>
      <version>2.0.6</version>
    </dependency>
    <dependency>
      <groupId>org.apache.tiles</groupId>
      <artifactId>tiles-core</artifactId>
      <version>2.0.6</version>
    </dependency>
    <dependency>
      <groupId>org.apache.tiles</groupId>
      <artifactId>tiles-jsp</artifactId>
      <version>2.0.6</version>
    </dependency>
    <dependency>
      <groupId>org.aspectj</groupId>
      <artifactId>aspectjweaver</artifactId>
      <version>1.6.0</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.tuckey</groupId>
      <artifactId>urlrewritefilter</artifactId>
      <version>3.1.0</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-jdbc</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-test</artifactId>
      <version>2.5.6</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-web</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-webmvc</artifactId>
      <version>2.5.6</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-core</artifactId>
      <version>2.0.4</version>
      <exclusions>
        <exclusion>
          <groupId>org.springframework</groupId>
          <artifactId>spring-support</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-taglibs</artifactId>
      <version>2.0.4</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.springframework.webflow</groupId>
      <artifactId>org.springframework.binding</artifactId>
      <version>2.0.5.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.webflow</groupId>
      <artifactId>org.springframework.webflow</artifactId>
      <version>2.0.5.RELEASE</version>
    </dependency>
    <dependency>
      <!-- used by commons-validator -->
      <groupId>oro</groupId>
      <artifactId>oro</artifactId>
      <version>2.0.8</version>
    </dependency>
    <dependency>
      <groupId>rome</groupId>
      <artifactId>rome</artifactId>
      <version>0.9</version>
    </dependency>
    <dependency>
      <!-- JSTL Implementation -->
      <groupId>taglibs</groupId>
      <artifactId>standard</artifactId>
      <version>1.1.2</version>
      <scope>runtime</scope>
    </dependency>
  </dependencies>

  <reporting>
    <plugins>
      <plugin>
        <groupId>net.sourceforge.maven-taglib</groupId>
        <artifactId>maven-taglib-plugin</artifactId>
        <configuration>
          <taglib.src.dir>src/main/webapp/WEB-INF/tld/uf2</taglib.src.dir>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-checkstyle-plugin</artifactId>
        <configuration>
          <configLocation>
            ${basedir}/src/main/config/CheckStyle_maven.xml
          </configLocation>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <configuration>
          <show>package</show>
          <encoding>Shift_JIS</encoding>
          <docencoding>Shift_JIS</docencoding>
          <charset>Shift_JIS</charset>
          <locales>ja</locales>
          <tags>
            <tag>
              <name>require</name>
              <placement>m</placement>
              <head>事前条件:</head>
            </tag>
            <tag>
              <name>ensure</name>
              <placement>m</placement>
              <head>事後条件:</head>
            </tag>
            <tag>
              <name>invariant</name>
              <placement>tf</placement>
              <head>クラス不変表明:</head>
            </tag>
          </tags>
          <groups>
            <group>
              <title>Domain Packages</title>
              <packages>org.unitedfront2.domain:org.unitedfront2.domain.*</packages>
            </group>
            <group>
              <title>DAO Packages</title>
              <packages>org.unitedfront2.dao:org.unitedfront2.dao.*</packages>
            </group>
            <group>
              <title>Web Packages</title>
              <packages>org.unitedfront2.web:org.unitedfront2.web.*</packages>
            </group>
            <group>
              <title>Validation Framework Packages</title>
              <packages>org.unitedfront2.validation</packages>
            </group>
            <group>
              <title>Utility Packages</title>
              <packages>org.unitedfront2.util</packages>
            </group>
          </groups>
          <links>
            <link>http://commons.apache.org/beanutils/commons-beanutils-1.7.0/docs/api/</link>
            <link>http://commons.apache.org/digester/commons-digester-1.8/docs/api/</link>
            <link>http://commons.apache.org/io/api-release/</link>
            <link>http://commons.apache.org/jexl/apidocs-1.1/</link>
            <link>http://commons.apache.org/lang/api-release/</link>
            <link>http://commons.apache.org/logging/commons-logging-1.1/apidocs/</link>
            <link>http://commons.apache.org/validator/api-1.3.1/</link>
            <link>http://java.sun.com/javase/ja/6/docs/ja/api/</link>
            <link>http://java.sun.com/javaee/5/docs/api/</link>
            <link>http://java.sun.com/products/jsp/jstl/1.1/docs/api/</link>
            <link>http://jcaptcha.sourceforge.net/jcaptcha-api/apidocs</link>
            <link>http://junit.sourceforge.net/javadoc_40/</link>
            <link>https://rome.dev.java.net/apidocs/0_9/</link>
            <link>http://tiles.apache.org/2.0/framework/apidocs/</link>
            <link>http://static.springframework.org/spring/docs/2.5.x/api/</link>
            <link>http://static.springframework.org/spring-security/site/apidocs/</link>
            <link>http://static.springframework.org/spring-webflow/docs/1.0.x/api/</link>
            <link>http://static.springframework.org/spring-webflow/docs/1.0.x/api-binding/</link>
          </links>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jxr-plugin</artifactId>
        <configuration>
          <inputEncoding>Shift_JIS</inputEncoding>
          <outputEncoding>Shift_JIS</outputEncoding>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-pmd-plugin</artifactId>
        <configuration>
          <targetJdk>1.5</targetJdk>
          <rulesets>
            <ruleset>${basedir}/src/main/config/pmd.xml</ruleset>
          </rulesets>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-project-info-reports-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-site-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-report-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>cobertura-maven-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>findbugs-maven-plugin</artifactId>
        <configuration>
          <xmlOutput>true</xmlOutput>
          <effort>Max</effort>
          <excludeFilterFile>${basedir}/src/main/config/findbugs-exclude.xml</excludeFilterFile>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>jdepend-maven-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>taglist-maven-plugin</artifactId>
        <configuration>
          <tags>
            <tag>TODO</tag>
            <tag>FIXME</tag>
            <tag>FIXED</tag>
            <tag>@todo</tag>
            <tag>@deprecated</tag>
          </tags>
        </configuration>
      </plugin>
    </plugins>
  </reporting>
</project>